Subject: Re: [PATCH] net: ethernet: use ip_hdrlen() instead of bit shift

From: "Guo-Fu Tseng" <[email-masked]>
Date: Mon, 5 Aug 2024 08:32:23 +0800

On Sun, 4 Aug 2024 11:18:58 +0100, Simon Horman wrote
> On Sat, Aug 03, 2024 at 10:47:35AM +0900, Moon Yeounsu wrote:
> > On Fri, Aug 2, 2024 at 11:15 PM Simon Horman <[email-masked]> wrote:
> > >
> > > On Fri, Aug 02, 2024 at 02:44:21PM +0900, Moon Yeounsu wrote:
> > > > `ip_hdr(skb)->ihl << 2` are the same as `ip_hdrlen(skb)`
> > > > Therefore, we should use a well-defined function not a bit shift
> > > > to find the header length.
> > > >
> > > > It also compress two lines at a single line.
> > > >
> > > > Signed-off-by: Moon Yeounsu <[email-masked]>
> > >
> > > Firstly, I think this clean-up is both correct and safe.  Safe because
> > > ip_hdrlen() only relies on ip_hdr(), which is already used in the same code
> > > path. And correct because ip_hdrlen multiplies ihl by 4, which is clearly
> > > equivalent to a left shift of 2 bits.
> > Firstly, Thank you for reviewing my patch!
> > >
> > > However, I do wonder about the value of clean-ups for what appears to be a
> > > very old driver, which hasn't received a new feature for quite sometime
> > Oh, I don't know that...
> > >
> > > And further, I wonder if we should update this driver from "Maintained" to
> > > "Odd Fixes" as the maintainer, "Guo-Fu Tseng" <[email-masked]>,
> > > doesn't seem to have been seen by lore since early 2020.

The device has been EOLed for a lone time.
Since there is no new related chip and no new updates from the chip maker, I do agreed to make the status as "Odd
Fixes".

> > >
> > > https://lore.kernel.org/netdev/[email-masked]/
> > Then, how about deleting the file from the kernel if the driver isn't
> > maintained?
> 
> That is a bit more severe than marking it as being unmaintained
> in MAINTAINERS. But I do agree that it should be considered.
> 
> > Many people think like that (At least I think so)
> > There are files, and if there are issues, then have to fix them.
> > Who can think unmanaged files remain in the kernel?
> 
> And yet, they do exist. ☯

Guo-Fu Tseng